## e-util-enums e-util-enums |

## Types and Values

enum | EActivityState
enum | EAutomaticActionPolicy
enum | EDateWeekday
enum | EDurationType
enum | EImageLoadingPolicy
enum | EContentEditorInsertContentFlags
enum | EContentEditorGetContentFlags
enum | EContentEditorNodeFlags
enum | EContentEditorStyleFlags
enum | EContentEditorBlockFormat
enum | EContentEditorFontSize
enum | EContentEditorAlignment
enum | EContentEditorGranularity
enum | EContentEditorCommand
enum | EContentEditorScope
enum | EContentEditorUnit
enum | EContentEditorFindFlags
enum | EClipboardFlags

## Description

## Functions

## Types and Values

### enum EActivityState

Various states of an EActivity.

#### Members

E_ACTIVITY_RUNNING | The EActivity is running. |
E_ACTIVITY_WAITING | The EActivity is waiting to be run. |
E_ACTIVITY_CANCELLED | The EActivity has been cancelled. |
E_ACTIVITY_COMPLETED | The EActivity has completed. |

### enum EAutomaticActionPolicy

Used for automatable actions based on the user's preference. The user is initially asked whether to perform the action automatically, and is given either-or choices like "Yes, Always" or "No, Never". The user's response is then remembered for future sessions.

#### Members

E_AUTOMATIC_ACTION_POLICY_ASK | Ask the user whether to perform the action. |
E_AUTOMATIC_ACTION_POLICY_ALWAYS | Perform the action without interrupting the user. |
E_AUTOMATIC_ACTION_POLICY_NEVER | Do not perform the action and do not interrupt the user. |

### enum EDateWeekday

Enumeration representing a day of the week; `E_DATE_MONDAY` , `E_DATE_TUESDAY` , etc. `G_DATE_BAD_WEEKDAY` is an invalid weekday.

This enum type is intentionally compatible with GDateWeekday. It exists only because GLib does not provide a GEnumClass for GDateWeekday. If that ever changes, this enum can go away.

#### Members

E_DATE_BAD_WEEKDAY | Invalid value |
E_DATE_MONDAY | Monday |
E_DATE_TUESDAY | Tuesday |
E_DATE_WEDNESDAY | Wednesday |
E_DATE_THURSDAY | Thursday |
E_DATE_FRIDAY | Friday |
E_DATE_SATURDAY | Saturday |
E_DATE_SUNDAY | Sunday |

### enum EDurationType

Possible units for a duration or interval value.

This enumeration is typically used where the numeric value and the units of the value are shown or recorded separately.

#### Members

E_DURATION_MINUTES | Duration value is in minutes. |
E_DURATION_HOURS | Duration value is in hours. |
E_DURATION_DAYS | Duration value is in days. |

### enum EImageLoadingPolicy

Policy for loading remote image URLs in email. Allowing images to be loaded from a remote server may have privacy implications.

#### Members

E_IMAGE_LOADING_POLICY_NEVER | Never load images from a remote server. |
E_IMAGE_LOADING_POLICY_SOMETIMES | Only load images from a remote server if the sender is a known contact. |
E_IMAGE_LOADING_POLICY_ALWAYS | Always load images from a remote server. |

### enum EContentEditorInsertContentFlags

#### Members

E_CONTENT_EDITOR_INSERT_NONE |  |
E_CONTENT_EDITOR_INSERT_CONVERT |  |
E_CONTENT_EDITOR_INSERT_QUOTE_CONTENT |  |
E_CONTENT_EDITOR_INSERT_REPLACE_ALL |  |
E_CONTENT_EDITOR_INSERT_TEXT_HTML |  |
E_CONTENT_EDITOR_INSERT_TEXT_PLAIN |  |

Since: 3.22

### enum EContentEditorGetContentFlags

#### Members

E_CONTENT_EDITOR_GET_BODY |  |
E_CONTENT_EDITOR_GET_INLINE_IMAGES |  |
E_CONTENT_EDITOR_GET_PROCESSED | raw or processed |
E_CONTENT_EDITOR_GET_TEXT_HTML |  |
E_CONTENT_EDITOR_GET_TEXT_PLAIN |  |
E_CONTENT_EDITOR_GET_EXCLUDE_SIGNATURE |  |

Since: 3.22

### enum EContentEditorNodeFlags

#### Members

E_CONTENT_EDITOR_NODE_UNKNOWN | None from the below, aka when cannot determine. |
E_CONTENT_EDITOR_NODE_IS_ANCHOR |  |
E_CONTENT_EDITOR_NODE_IS_H_RULE |  |
E_CONTENT_EDITOR_NODE_IS_IMAGE |  |
E_CONTENT_EDITOR_NODE_IS_TABLE |  |
E_CONTENT_EDITOR_NODE_IS_TABLE_CELL |  |
E_CONTENT_EDITOR_NODE_IS_TEXT |  |
E_CONTENT_EDITOR_NODE_IS_TEXT_COLLAPSED |  |

Since: 3.22

### enum EContentEditorStyleFlags

#### Members

E_CONTENT_EDITOR_STYLE_NONE | None from the below. |
E_CONTENT_EDITOR_STYLE_IS_BOLD |  |
E_CONTENT_EDITOR_STYLE_IS_ITALIC |  |
E_CONTENT_EDITOR_STYLE_IS_UNDERLINE |  |
E_CONTENT_EDITOR_STYLE_IS_STRIKETHROUGH |  |
E_CONTENT_EDITOR_STYLE_IS_MONOSPACE |  |
E_CONTENT_EDITOR_STYLE_IS_SUBSCRIPT |  |
E_CONTENT_EDITOR_STYLE_IS_SUPERSCRIPT |  |

Since: 3.22

### enum EContentEditorBlockFormat

#### Members

E_CONTENT_EDITOR_BLOCK_FORMAT_NONE |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_PARAGRAPH |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_PRE |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ADDRESS |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H1 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H2 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H3 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H4 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H5 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_H6 |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_UNORDERED_LIST |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST_ROMAN |  |
E_CONTENT_EDITOR_BLOCK_FORMAT_ORDERED_LIST_ALPHA |  |

Since: 3.22

### enum EContentEditorFontSize

Note: The values match the actual size in <font size="n">

#### Members

E_CONTENT_EDITOR_FONT_SIZE_TINY |  |
E_CONTENT_EDITOR_FONT_SIZE_SMALL |  |
E_CONTENT_EDITOR_FONT_SIZE_NORMAL |  |
E_CONTENT_EDITOR_FONT_SIZE_BIG |  |
E_CONTENT_EDITOR_FONT_SIZE_BIGGER |  |
E_CONTENT_EDITOR_FONT_SIZE_LARGE |  |
E_CONTENT_EDITOR_FONT_SIZE_VERY_LARGE |  |

Since: 3.22

### enum EContentEditorAlignment

#### Members

E_CONTENT_EDITOR_ALIGNMENT_LEFT |  |
E_CONTENT_EDITOR_ALIGNMENT_CENTER |  |
E_CONTENT_EDITOR_ALIGNMENT_RIGHT |  |

Since: 3.22

### enum EContentEditorGranularity

#### Members

E_CONTENT_EDITOR_GRANULARITY_CHARACTER |  |
E_CONTENT_EDITOR_GRANULARITY_WORD |  |

Since: 3.22

### enum EContentEditorCommand

Flags to use to modify behaviour of the search for the text.

#### Members

E_CONTENT_EDITOR_COMMAND_BACKGROUND_COLOR |  |
E_CONTENT_EDITOR_COMMAND_BOLD |  |
E_CONTENT_EDITOR_COMMAND_COPY |  |
E_CONTENT_EDITOR_COMMAND_CREATE_LINK |  |
E_CONTENT_EDITOR_COMMAND_CUT |  |
E_CONTENT_EDITOR_COMMAND_DEFAULT_PARAGRAPH_SEPARATOR |  |
E_CONTENT_EDITOR_COMMAND_DELETE |  |
E_CONTENT_EDITOR_COMMAND_FIND_STRING |  |
E_CONTENT_EDITOR_COMMAND_FONT_NAME |  |
E_CONTENT_EDITOR_COMMAND_FONT_SIZE |  |
E_CONTENT_EDITOR_COMMAND_FONT_SIZE_DELTA |  |
E_CONTENT_EDITOR_COMMAND_FORE_COLOR |  |
E_CONTENT_EDITOR_COMMAND_FORMAT_BLOCK |  |
E_CONTENT_EDITOR_COMMAND_FORWARD_DELETE |  |
E_CONTENT_EDITOR_COMMAND_HILITE_COLOR |  |
E_CONTENT_EDITOR_COMMAND_INDENT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_HTML |  |
E_CONTENT_EDITOR_COMMAND_INSERT_HORIZONTAL_RULE |  |
E_CONTENT_EDITOR_COMMAND_INSERT_IMAGE |  |
E_CONTENT_EDITOR_COMMAND_INSERT_LINE_BREAK |  |
E_CONTENT_EDITOR_COMMAND_INSERT_NEW_LINE_IN_QUOTED_CONTENT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_ORDERED_LIST |  |
E_CONTENT_EDITOR_COMMAND_INSERT_PARAGRAPH |  |
E_CONTENT_EDITOR_COMMAND_INSERT_TEXT |  |
E_CONTENT_EDITOR_COMMAND_INSERT_UNORDERED_LIST |  |
E_CONTENT_EDITOR_COMMAND_ITALIC |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_CENTER |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_FULL |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_LEFT |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_NONE |  |
E_CONTENT_EDITOR_COMMAND_JUSTIFY_RIGHT |  |
E_CONTENT_EDITOR_COMMAND_OUTDENT |  |
E_CONTENT_EDITOR_COMMAND_PASTE |  |
E_CONTENT_EDITOR_COMMAND_PASTE_AND_MATCH_STYLE |  |
E_CONTENT_EDITOR_COMMAND_PASTE_AS_PLAIN_TEXT |  |
E_CONTENT_EDITOR_COMMAND_PRINT |  |
E_CONTENT_EDITOR_COMMAND_REDO |  |
E_CONTENT_EDITOR_COMMAND_REMOVE_FORMAT |  |
E_CONTENT_EDITOR_COMMAND_SELECT_ALL |  |
E_CONTENT_EDITOR_COMMAND_STRIKETHROUGH |  |
E_CONTENT_EDITOR_COMMAND_STYLE_WITH_CSS |  |
E_CONTENT_EDITOR_COMMAND_SUBSCRIPT |  |
E_CONTENT_EDITOR_COMMAND_SUPERSCRIPT |  |
E_CONTENT_EDITOR_COMMAND_TRANSPOSE |  |
E_CONTENT_EDITOR_COMMAND_UNDERLINE |  |
E_CONTENT_EDITOR_COMMAND_UNDO |  |
E_CONTENT_EDITOR_COMMAND_UNLINK |  |
E_CONTENT_EDITOR_COMMAND_UNSELECT |  |
E_CONTENT_EDITOR_COMMAND_USE_CSS |  |

Since: 3.22

### enum EContentEditorScope

#### Members

E_CONTENT_EDITOR_SCOPE_CELL |  |
E_CONTENT_EDITOR_SCOPE_ROW |  |
E_CONTENT_EDITOR_SCOPE_COLUMN |  |
E_CONTENT_EDITOR_SCOPE_TABLE |  |

Since: 3.22

### enum EContentEditorUnit

#### Members

E_CONTENT_EDITOR_UNIT_AUTO |  |
E_CONTENT_EDITOR_UNIT_PIXEL |  |
E_CONTENT_EDITOR_UNIT_PERCENTAGE |  |

Since: 3.22

### enum EContentEditorFindFlags

#### Members

E_CONTENT_EDITOR_FIND_NEXT |  |
E_CONTENT_EDITOR_FIND_PREVIOUS |  |
E_CONTENT_EDITOR_FIND_MODE_BACKWARDS |  |
E_CONTENT_EDITOR_FIND_CASE_INSENSITIVE |  |
E_CONTENT_EDITOR_FIND_WRAP_AROUND |  |

### enum EClipboardFlags

Specifies clipboard's current state.

#### Members

E_CLIPBOARD_CAN_COPY | It's possible to copy the currently selected content. |

Since: 3.22.3